Package Gnumed :: Package pycommon :: Module gmConfigCommon :: Class ConfigData |
[frames] | no frames]

# Class ConfigData

source code

    Base class. Derived classes hold config data for a particular
        backend user/workplace combination, config file etc.
        this will contain:
                a) config parameter names
                b) config parameter values
                c) config information version (must match the version used in ConfigDefinition)

Instance Methods
__init__(self, aType=None) | source code
GetAllNames(self) | source code
GetConfigData(self) | source code
SetConfigData(self) | source code
getRawName(self) | source code
AddConfigParam(self) | source code
getParamType(self, aParameterName=None) Returns the parameter type as found in the data source. | source code
getParamDescription(self, aParameterName=None) Returns the parameter type as found in the data source. | source code